Scriptname HydraMagicLockOnFakeScript extends activemagiceffect  

import Utility

int index
int indexFX
Float Damage

VisualEffect Property HydraVisualLockOnCircle01  Auto
VisualEffect Property HydraVisualLockOnCircle02  Auto
VisualEffect Property HydraVisualLockOnCircle03  Auto

Spell Property HydraSpellExplosionFire  Auto
Spell Property HydraSpellExplosionFrost  Auto
Spell Property HydraSpellExplosionShock  Auto

Sound Property HydraFXSet01  Auto
Sound Property HydraFXSet02  Auto

MiscObject Property HydraShotToken  Auto

Faction Property faction01  Auto

GlobalVariable Property HydraSet  Auto
GlobalVariable Property HydraTrigger  Auto
GlobalVariable Property HydraDamageRate  Auto
GlobalVariable Property HydraMagicka  Auto

HydraQuestShotScript Property Hydra Auto

Event OnEffectStart(Actor Target, Actor Caster)

	Actor PlayerActor = Game.GetPlayer()

	if !Target.IsInFaction(faction01) && !Target.IsDead() && HydraTrigger.getValue() == 2

		if !Target.IsHostileToActor(PlayerActor)
			return
		endif

		if Target.GetItemCount(HydraShotToken) == 0
			if Caster.getav("Magicka") as float >= HydraMagicka.getValue()
				Caster.DamageAV("Magicka", HydraMagicka.getValue())

				Target.AddItem(HydraShotToken,1,true)
				Hydra.LockOnNum += 1

				index = HydraSet.getValue() as int

				if index == 1
					HydraVisualLockOnCircle01.play(Target)
				elseif index  == 2
					HydraVisualLockOnCircle02.play(Target)
				elseif index  == 3
					HydraVisualLockOnCircle03.play(Target)
				endif

				indexFX = RandomInt(0,1)

				if indexFX == 1
					HydraFXSet01.play(Caster)
				else
					HydraFXSet02.play(Caster)
				endif

				while(HydraTrigger.getValue() != 3 && HydraSet.getValue() != 0)
				endWhile

				if index == 1
					HydraVisualLockOnCircle01.stop(Target)
				elseif index  == 2
					HydraVisualLockOnCircle02.stop(Target)
				elseif index  == 3
					HydraVisualLockOnCircle03.stop(Target)
				endif

				Target.RemoveItem(HydraShotToken, 1, True)

				Damage = Caster.getav("marksman") as float
				Damage += 20

				if index == 1
					HydraSpellExplosionFire.cast(Target)  
					Damage *= 2
				elseif index  == 2
					HydraSpellExplosionFrost.cast(Target)
					Damage *= 1.25
				elseif index  == 3
					HydraSpellExplosionShock.cast(Target)
					Damage *= 1.5
					Caster.PushActorAway(Target, RandomInt(8, 12))
				endif

				Damage *= HydraDamageRate.getValue()

				Target.DamageAv("Health", Damage)
	
			endif
		endif
	endif

EndEvent


